sc::PetiteList(3)

NAME
sc::PetiteList -

SYNOPSIS

Inherits sc::RefCount.

  Public Member Functions
PetiteList (const Ref< GaussianBasisSet > &, const Ref< Integral > &)
Ref< GaussianBasisSet > basis ()
Ref< Integral > integral ()
Ref< PetiteList > clone ()
int nirrep () const
int order () const
int atom_map (int n, int g) const
int shell_map (int n, int g) const
int lambda (int ij) const
int lambda (int i, int j) const
int in_p1 (int n) const
int in_p2 (int ij) const
int in_p2 (int i, int j) const
Same as previous, except for it takes i and j separately.
int in_p4 (int ij, int kl, int i, int j, int k, int l) const
int in_p4 (int i, int j, int k, int l) const
Same as previous, except for doesn't assume ij > kl and recomputes them.
int nfunction (int i) const
int nblocks () const
void print (std::ostream &=ExEnv::out0(), int verbose=1)
RefSCDimension AO_basisdim ()
RefSCDimension SO_basisdim ()
RefSCMatrix r (int g)
SO_block * aotoso_info ()
RefSCMatrix aotoso ()
RefSCMatrix sotoao ()
void symmetrize (const RefSymmSCMatrix &skel, const RefSymmSCMatrix &sym)
RefSymmSCMatrix to_SO_basis (const RefSymmSCMatrix &)
RefSymmSCMatrix to_AO_basis (const RefSymmSCMatrix &)
RefSCMatrix evecs_to_AO_basis (const RefSCMatrix &)
RefSCMatrix evecs_to_SO_basis (const RefSCMatrix &)

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.